      SUBROUTINE QEFHYD
     I                  (MESSFL)
C
C     + + + PURPOSE + + +
C     edit hydraulic parameters
C
C     + + + DUMMY ARGUMENTS + + ++ 
      INTEGER   MESSFL
C
C     + + + ARGUMENT DEFINITIONS + + +
C     MESSFL - Fortran unit number for message file
C
C     + + + COMMON BLOCKS + + +
      INCLUDE 'CQ2VAL.INC'
C
C     + + + LOCAL VARIABLES + + +
      INTEGER      I1,SCLU,SGRP,RESP,IRET,RNUM,IVAL(MXRCH),CVAL(3,MXRCH)
      CHARACTER*1  TBUFF(80,MXRCH)
      CHARACTER*14 SCNAME
C
C     + + + EXTERNALS + + +
      EXTERNAL     QRESP, QRESCN, QEFLAU, ZGTRET
C
C     + + + END SPECIFICATIONS + + +
C
      I1  = 1
      SCLU= 11
C
 5    CONTINUE
C
        SGRP= 1
        CALL QRESP (MESSFL,SCLU,SGRP,RESP)
C
        GO TO (10,20,30), RESP
C
 10     CONTINUE
C         hydraulic data
          SGRP= 2
          CALL QRESP (MESSFL,SCLU,SGRP,NPOPT(5))
C         get user exit command
          CALL ZGTRET(IRET)
          IF (IRET.EQ.1) THEN
C           may want to modify trapezoidal data
            DO 15 I= 1,NUMRCH
              DAT5(1,I)= DAT2(1,I)
 15         CONTINUE
            RNUM= 7
            SGRP= 2+ NPOPT(5)+ (2* METFLG)
            CALL QRESCN (MESSFL,SCLU,SGRP,I1,RNUM,I1,NUMRCH,I1,
     M                   IVAL,DAT5,CVAL,TBUFF)
C           get user exit command
            CALL ZGTRET (IRET)
          ELSE IF (IRET.EQ.2) THEN
C           reset exit command value
            IRET= 1
          END IF
          GO TO 100
C
 20     CONTINUE
C         flow augmentation
          SCNAME= 'Augment (EFHA)'
          DO 25 I= 1,NUMRCH
            DAT3R(1,I)= DAT2(1,I)
 25       CONTINUE
          CALL QEFLAU (MESSFL,NUMRCH,SCNAME,
     M                 DAT3I,DAT3R)
          NPOPT(3)= 2
          DO 28 I= 1,NUMRCH
            IF (DAT3I(I).GT.0) NPOPT(3)= 1
 28       CONTINUE
          GO TO 100
C
 30     CONTINUE
C         all done
          GO TO 100
C
 100    CONTINUE
C
      IF (RESP.NE.3) GO TO 5
C
      RETURN
      END
